<?php
/**
 * The template for displaying Archive pages
 *
 * Used to display archive-type pages if nothing more specific matches a query.
 * For example, puts together date-based pages if no date.php file exists.
 *
 * If you'd like to further customize these archive views, you may create a
 * new template file for each specific one. For example, Personnal already
 * has tag.php for Tag archives, category.php for Category archives, and
 * author.php for Author archives.
 *
 * @link http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Personnal
 * @since Personnal 1.0
 */
get_header();
?>

    <div class="col-sm-12 col-xs-12" id="content">
        <?php if (have_posts()) : ?>
            <header class="archive-header">
                <h1 class="archive-title"><?php
                    if (is_day()) :
                        printf(__('Daily Archives: %s', 'personnal'), '<span>' . get_the_date() . '</span>');
                    elseif (is_month()) :
                        printf(__('Monthly Archives: %s', 'personnal'), '<span>' . get_the_date(_x('F Y', 'monthly archives date format', 'personnal')) . '</span>');
                    elseif (is_year()) :
                        printf(__('Yearly Archives: %s', 'personnal'), '<span>' . get_the_date(_x('Y', 'yearly archives date format', 'personnal')) . '</span>');
                    else :
                        _e('Archives', 'personnal');
                    endif;
                    ?></h1>
            </header><!-- .archive-header -->
            <div id="grid-container" class="transitions-enabled fluid masonry js-masonry grid">

                <?php
                /* Start the Loop */
                while (have_posts()) : the_post();

                    /* Include the post format-specific template for the content. If you want to
                     * this in a child theme then include a file called called content-___.php
                     * (where ___ is the post format) and that will be used instead.
                     */
                    get_template_part('content', get_post_format());

                endwhile;
                ?>
            </div>
            <div class="load-more-manual">
                <nav id="page-nav" role="navigation"><?php next_posts_link(__('<span class="more btn btn-primary btn-lg btn-block">Load more posts</span>', 'wpc')); ?></nav>
            </div>
        <?php else : ?>
            <?php get_template_part('content', 'none'); ?>
        <?php endif; ?>

    </div><!-- #content -->
  



<?php get_footer(); ?>