<?php
/**
 * The template for displaying Category pages
 *
 * Used to display archive-type pages for posts in a category.
 *
 * @link http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Personnal
 * @since Personnal 1.0
 */
get_header();
?>



    <div class="col-sm-12 col-xs-12" id="content">


        <?php if (have_posts()) : ?>
            <header class="archive-header">
                <h1 class="archive-title"><?php printf(__('Category Archives: %s', 'personnal'), '<span>' . single_cat_title('', false) . '</span>'); ?></h1>

                <?php if (category_description()) : // Show an optional category description ?>
                    <div class="archive-meta"><?php echo category_description(); ?></div>
                <?php endif; ?>
            </header><!-- .archive-header -->
            <div id="grid-container" class="transitions-enabled fluid masonry js-masonry grid">
                <?php
                /* Start the Loop */
                while (have_posts()) : the_post();

                    /* Include the post format-specific template for the content. If you want to
                     * this in a child theme then include a file called called content-___.php
                     * (where ___ is the post format) and that will be used instead.
                     */
                    get_template_part('content', get_post_format());

                endwhile;
                ?>
            </div>
            <div class="load-more-manual">
                <nav id="page-nav" role="navigation"><?php next_posts_link(__('<span class="more btn btn-primary btn-lg btn-block">Load more posts</span>', 'wpc')); ?></nav>
            </div>
        <?php else : ?>
            <?php get_template_part('content', 'none'); ?>
        <?php endif; ?>

    </div><!-- #content -->


<?php get_footer(); ?>