<?php
/**
 * The Header template for our theme
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package WordPress
 * @subpackage Personnal
 * @since Personnal 1.0
 */
?><!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) & !(IE 8)]><!-->
<html <?php language_attributes(); ?>>
    <!--<![endif]-->
    <head>
        <meta charset="<?php bloginfo('charset'); ?>" />
        <meta name="viewport" content="width=device-width" />
        <title><?php wp_title('|', true, 'right'); ?></title>
        <link rel="profile" href="http://gmpg.org/xfn/11" />
        <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
        <?php // Loads HTML5 JavaScript file to add support for HTML5 elements in older IE versions. ?>
        <!--[if lt IE 9]>
        <script src="<?php echo get_template_directory_uri(); ?>/js/html5.js" type="text/javascript"></script>
        <![endif]-->
  <?php wp_head(); ?>     
<?php
    $personnal_logo_position = get_theme_mod( 'logo_placement' );
    if( $personnal_logo_position != '' ) {
        switch ( $personnal_logo_position ) {
            case 'center':
                // Do nothing. The theme already aligns the logo to the left
                break;
            case 'right':
                echo '<style type="text/css">';
                echo '.site-header h1, .site-header h2{ text-align: right; }';
                echo '</style>';
                break;
            case 'left':
                echo '<style type="text/css">';
                echo '.site-header h1, .site-header h2{ text-align: left; }';
                  echo '</style>';
                break;
        }
    }
?> 
    </head>
    <body <?php body_class(); ?>>
        <div id="wrapper" >          
            <?php $personnal_sidebar_color = get_option( 'personnal_customizer_sidebar_color' ); ?>
            <div id="sidebar-wrapper" class="<?php echo $personnal_sidebar_color; ?>" role="banner" >
<!--<div id="logo"><a href="<?php // echo esc_url(home_url('/'));    ?>" title="<?php // echo esc_attr(get_bloginfo('name', 'display'));    ?>" rel="home"></a></div>-->
                <div id="navigation">
                    <?php
                    wp_nav_menu(array(
                        'menu' => 'primary',
                        'depth' => 3,
                        'fallback_cb' => false,
                        'walker' => new wp_bootstrap_navwalker())
                    );
                    ?>
                </div>
            </div>
                    <a class="btn btn-default" href="#menu-toggle" id="menu-toggle">
                        <span class="glyphicon glyphicon-align-justify"></span>
                    </a>
            <header id="masthead" class="site-header" role="banner">                 
                <hgroup>
                    <?php if (get_theme_mod('personnal_logo')) : ?>
                    <div class="site-logo">
                    <h1 class="site-title">
                        <a href='<?php echo esc_url(home_url('/')); ?>' title='<?php echo esc_attr(get_bloginfo('name', 'display')); ?>' rel='home'>
                            <img src='<?php echo esc_url(get_theme_mod('personnal_logo')); ?>' alt='<?php echo esc_attr(get_bloginfo('name', 'display')); ?>'></a></h1>
                    </div>
                    <?php else : ?>
                    <h1 class="site-title">
                        <!--<a href="<?php // echo esc_url(home_url('/')); ?>" title="<?php // echo esc_attr(get_bloginfo('name', 'display')); ?>" rel="home">-->
                            <?php bloginfo('name'); ?>
<!--                        </a>-->
                    </h1>
                    <h2 class="site-description"><?php bloginfo('description'); ?></h2>
                </hgroup>
                    <?php endif;
                    ?>
                    <?php if (get_header_image()) : ?>
<!--                        <a href="<?php // echo esc_url(home_url('/')); ?>">-->
                            <img src="<?php header_image(); ?>" class="header-image" width="<?php echo get_custom_header()->width; ?>" height="<?php echo get_custom_header()->height; ?>" alt="" />
                        <!--</a>-->
                    <?php endif; ?>
                    </header>

                 
                    <div id="page-content-wrapper">
                   
                       <div class="container">  
                           