<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * For example, it puts together the home page when no home.php file exists.
 *
 * @link http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Personnal
 * @since Personnal 1.0
 */
get_header();
?>


<div class="col-lg-12 col-xs-12" id="content">
    <div id="grid-container" class="transitions-enabled fluid masonry js-masonry grid">
        <?php if (have_posts()) : ?>

            <?php /* Start the Loop */ ?>
            <?php while (have_posts()) : the_post(); ?>

                <?php get_template_part('content', get_post_format()); ?>



            <?php endwhile; ?>
        </div>
        <div class="load-more-manual">
            <nav id="page-nav" role="navigation"><?php next_posts_link(__('<span class="more btn btn-primary btn-lg btn-block">Load more posts</span>', 'wpc')); ?></nav>
        </div>

    <?php else : ?>

        <article id="post-0" class="post no-results not-found">

            <?php
            if (current_user_can('edit_posts')) :
                // Show a different message to a logged-in user who can add posts.
                ?>
                <header class="entry-header">
                    <h1 class="entry-title"><?php _e('No posts to display', 'personnal'); ?></h1>
                </header>

                <div class="entry-content">
                    <p><?php printf(__('Ready to publish your first post? <a href="%s">Get started here</a>.', 'personnal'), admin_url('post-new.php')); ?></p>
                </div><!-- .entry-content -->

                <?php
            else :
                // Show the default message to everyone else.
                ?>
                <header class="entry-header">
                    <h1 class="entry-title"><?php _e('Nothing Found', 'personnal'); ?></h1>
                </header>

                <div class="entry-content">
                    <p><?php _e('Apologies, but no results were found. Perhaps searching will help find a related post.', 'personnal'); ?></p>
                    <?php get_search_form(); ?>
                </div><!-- .entry-content -->
            <?php endif; // end current_user_can() check  ?>

        </article><!-- #post-0 -->

    <?php endif; // end have_posts() check  ?>
   
</div><!-- #content -->
<!-- #primary -->


<?php get_footer(); ?>