<?php

add_action('admin_menu', 'add_appearance_menu');

function add_appearance_menu() {
    add_theme_page('Theme Option', 'Theme Options', 'manage_options', 'personnal-theme-option', 'personnal_settings_page');
}

add_action('admin_init', 'register_personnal_settings');

function personnal_admin_styles() {
    wp_register_style('admin_stylesheet', get_template_directory_uri() . '/css/style.css');
    wp_enqueue_style('admin_stylesheet');
}

add_action('admin_enqueue_scripts', 'personnal_admin_styles');

function activate_personnal() {
    $personnal_wp_ver = get_bloginfo('version');
    if ($personnal_wp_ver < 3.8) {
        add_option('personnal-img', get_template_directory() . 'images/wordpress-logo.png');
    } else {
        add_option('personnal-img', get_template_directory() . 'images/w-logo-blue.png');
    }
    add_option('personnal-link', 'http://wordpress.org');
    add_option('personnal-title', 'Powered by WordPress');
    add_option('personnal-css', '');
    add_option('personnal-footer', 'Thank you for creating with WordPress');
    add_option('personnal-adminbar', '');
    add_option('personnal-updatenag', '');
    add_option('personnal-changemenu', '');
    add_option('personnal-back', '');
    add_option('personnal-help', '');
    add_option('personnal-screen', '');
    add_option('personnal-widgets', '');
    add_option('personnal-page', '');
    add_option('personnal-links', '');
    add_option('personnal-media', '');
    add_option('personnal-tools', '');
    add_option('personnal-users', '');
    add_option('personnal-settings', '');
    add_option('personnal-comments', '');
    add_option('personnal-plugins', '');
    add_option('personnal-posts', '');
    add_option('personnal-appearance', '');
    add_option('personnal-name', '');
}

function deactive_personnal() {
    delete_option('personnal-img');
    delete_option('personnal-link');
    delete_option('personnal-title');
    delete_option('personnal-css');
    delete_option('personnal-footer');
    delete_option('personnal-adminbar');
    delete_option('personnal-updatenag');
    delete_option('personnal-changemenu');
    delete_option('personnal-back');
    delete_option('personnal-help');
    delete_option('personnal-screen');
    delete_option('personnal-widgets');
    delete_option('personnal-page');
    delete_option('personnal-links');
    delete_option('personnal-media');
    delete_option('personnal-tools');
    delete_option('personnal-users');
    delete_option('personnal-settings');
    delete_option('personnal-comments');
    delete_option('personnal-plugins');
    delete_option('personnal-posts');
    delete_option('personnal-appearance');
    delete_option('personnal-name');
}

register_activation_hook(__FILE__, 'activate_personnal');
register_deactivation_hook(__FILE__, 'deactive_personnal');

function register_personnal_settings() {
    register_setting('personnal-option-group', 'personnal-img');
    register_setting('personnal-option-group', 'personnal-link');
    register_setting('personnal-option-group', 'personnal-title');
    register_setting('personnal-option-group', 'personnal-css');
    register_setting('personnal-option-group', 'personnal-footer');
    register_setting('personnal-option-group', 'personnal-adminbar');
    register_setting('personnal-option-group', 'personnal-updatenag');
    register_setting('personnal-option-group', 'personnal-changemenu');
    register_setting('personnal-option-group', 'personnal-back');
    register_setting('personnal-option-group', 'personnal-help');
    register_setting('personnal-option-group', 'personnal-screen');
    register_setting('personnal-option-group', 'personnal-widgets');
    register_setting('personnal-option-group', 'personnal-page');
    register_setting('personnal-option-group', 'personnal-links');
    register_setting('personnal-option-group', 'personnal-media');
    register_setting('personnal-option-group', 'personnal-tools');
    register_setting('personnal-option-group', 'personnal-users');
    register_setting('personnal-option-group', 'personnal-settings');
    register_setting('personnal-option-group', 'personnal-comments');
    register_setting('personnal-option-group', 'personnal-plugins');
    register_setting('personnal-option-group', 'personnal-posts');
    register_setting('personnal-option-group', 'personnal-appearance');
    register_setting('personnal-option-group', 'personnal-name');
}

// Display the page content for the login logo submenu
function personnal_settings_page() {
    require_once get_template_directory() . '/lib/options.php';
}

/* Reference CSS File */

function personnal_by_personnal() {
    echo '<link rel="stylesheet" type="text/css" href="/css/style.css" />';
}

add_action('login_head', 'personnal_by_personnal');

/* Show Logo */

function personnal() {
    if (!isset($personnallogo)) {
        $personnallogo = get_option('personnal-img');
    }
    if (!isset($personnalcss)) {
        $personnalcss = get_option('personnal-css');
    }
    echo '<style type="text/css">
		h1 a { background-image:url(' . $personnallogo . ') !important;
		background-size: 274px 63px;}
		' . $personnalcss . '
		</style>';
}

add_action('login_head', 'personnal');

add_filter('login_headerurl', 'personnal_login_page_link');

function personnal_login_page_link($url) {
    if (!isset($personnallink)) {
        $personnallink = get_option('personnal-link');
    }
    return $personnallink;
}

add_filter('login_headertitle', 'personnal_url_title');

function personnal_url_title() {
    if (!isset($personnaltitle)) {
        $personnaltitle = get_option('personnal-title');
    }
    return $personnaltitle;
}

function personnal_back() {

    $personnalback = get_option('personnal-back');
    if (!empty($personnalback)) {
        echo '<style type="text/css">
		body.login { background:url(' . $personnalback . ') !important;
		background-size: cover;}
		
		</style>';
    } else {
        echo '<style type="text/css">
		body.login { background-color:#f1f1f1 !important;}
		
		</style>';
    }
}

add_action('login_head', 'personnal_back');




add_filter('admin_footer_text', 'personnal_footer');

function personnal_footer() {
    if (!isset($personnalfooter)) {
        $personnalfooter = get_option('personnal-footer');
    }
    return $personnalfooter;
}

add_action('wp_dashboard_setup', 'personnal_widgets');

function personnal_widgets() {
    global $wp_meta_boxes;
    $personnalwidgets = get_option('personnal-widgets');
    if (!empty($personnalwidgets)) {
        unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_right_now']); // Presse-Minute
        unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_recent_comments']); // Commentaires récents
        unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_incoming_links']);
        unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_plugins']); // Extensions
        unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_quick_press']); // Liens entrant
        unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_recent_drafts']); // Billets en brouillon
        unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_primary']); // Blogs WordPress
        unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_secondary']); // Autres actualités WordPress
        unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_wp_welcome_panel']); // Autres actualités WordPress
        unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_activity']);
    }
}

add_action('wp_before_admin_bar_render', 'personnal_adminbar');

function personnal_adminbar() {
    $personnaladminbar = get_option('personnal-adminbar');
    if (!empty($personnaladminbar)) {
        global $wp_admin_bar;
        $wp_admin_bar->remove_node('wp-logo'); // Logo
        $wp_admin_bar->remove_node('about'); // A propos de WordPress
        $wp_admin_bar->remove_node('wporg'); // WordPress.org
        $wp_admin_bar->remove_node('documentation'); // Documentation
        $wp_admin_bar->remove_node('support-forums');  // Forum de support
        $wp_admin_bar->remove_node('feedback'); // Remarque
        $wp_admin_bar->remove_node('comments');
        $wp_admin_bar->remove_node('updates'); // Mises à jour
        $wp_admin_bar->remove_node('new-content');  // Publier	
    }
}

function personnal_update() {
    $personnalupdate = get_option('personnal-updatenag');
    if (!empty($personnalupdate)) {

        function remove_core_updates() {
            global $wp_version;
            return(object) array('last_checked' => time(), 'version_checked' => $wp_version,);
        }

        add_filter('pre_site_transient_update_core', 'remove_core_updates');
        add_filter('pre_site_transient_update_plugins', 'remove_core_updates');
        add_filter('pre_site_transient_update_themes', 'remove_core_updates');
    }
}

add_action('after_setup_theme', 'personnal_update');

function personnal_changemenu() {
    $personnalchangemnu = get_option('personnal-changemenu');
    if (!empty($personnalchangemnu)) {
        global $menu;
        global $submenu;
        unset($submenu['themes.php']);            // Supprime les sous-menus de "Apparence"
        $menu[60] = array(0 => 'Menus', 1 => 'edit_theme_options', 2 => 'nav-menus.php', 4 => 'menu-top menu-icon-appearance', 5 => 'menu-appearance', 6 => 'div'); // Change le menu "Apparence" en "Menus"
    }
}

add_action('admin_menu', 'personnal_changemenu', 11);



function personnal_help() {
    $personnalhelp = get_option('personnal-help');
    if (!empty($personnalhelp)) {

        $screen = get_current_screen();
        $screen->remove_help_tabs();
    }
}

add_action('admin_head', 'personnal_help');

function personnal_screen() {
    $personnalscreen = get_option('personnal-screen');
    if (!empty($personnalscreen)) {
        echo '<style type="text/css">
            #screen-options-link-wrap { display: none !important; }
    </style>';
    }
}

add_action('admin_head', 'personnal_screen');

function personnal_remove_menu() {
    $personnalremovepage = get_option('personnal-page');
    if (!empty($personnalremovepage)) {
        remove_menu_page('edit.php?post_type=page');
    }
    $personnalremovelinks = get_option('personnal-links');
    if (!empty($personnalremovelinks)) {
        remove_menu_page('link-manager.php');
    }
    $personnalremovemedia = get_option('personnal-media');
    if (!empty($personnalremovemedia)) {
        remove_menu_page('upload.php');
    }
    $personnalremovetools = get_option('personnal-tools');
    if (!empty($personnalremovetools)) {
        remove_menu_page('tools.php');
    }
    $personnalremoveusers = get_option('personnal-users');
    if (!empty($personnalremoveusers)) {
        remove_menu_page('users.php');
    }
    $personnalremovesettings = get_option('personnal-settings');
    if (!empty($personnalremovesettings)) {
        remove_menu_page('options-general.php');
    }
    $personnalremoveplugins = get_option('personnal-plugins');
    if (!empty($personnalremoveplugins)) {
        remove_menu_page('plugins.php');
    }
    $personnalremoveposts = get_option('personnal-posts');
    if (!empty($personnalremoveposts)) {
        remove_menu_page('edit.php');
    }
    $personnalremoveappearance = get_option('personnal-appearance');
    if (!empty($personnalremoveappearance)) {
        remove_menu_page('themes.php');
    }
    $personnalremovecomments = get_option('personnal-comments');
    if (!empty($personnalremovecomments)) {
        remove_menu_page('edit-comments.php');
    }
}

add_action('admin_menu', 'personnal_remove_menu');

function personnal_name($wp_admin_bar) {
    $personnalcustomname = get_option('personnal-name');
    if (!empty($personnalcustomname)) {
        global $current_user;

        $my_apersonnalount = $wp_admin_bar->get_node('my-apersonnalount');

       $howdy = sprintf(__('Howdy, %1$s','personnal'), $current_user->display_name);

        $title = str_replace($howdy, $current_user->display_name, $my_apersonnalount->title);

        $wp_admin_bar->add_node(array(
            'id' => 'my-apersonnalount',
            'title' => $title,
            'meta' => $my_apersonnalount->meta
        ));
    }
}

add_filter('admin_bar_menu', 'personnal_name');






add_action('admin_enqueue_scripts', 'personnal_upload_script');

function personnal_upload_script() {
    if (isset($_GET['page']) && $_GET['page'] == 'personnal-theme-option') {
        wp_enqueue_media();
        wp_register_script('image-upload-js', get_template_directory_uri() . '/js/image-upload.js', array('jquery'));
        wp_enqueue_script('image-upload-js');
    }
}

function my_admin_uploader_scripts() {
    wp_enqueue_script('media-upload');
    wp_enqueue_script('thickbox');
}

function my_admin_uploader_styles() {
    wp_enqueue_style('thickbox');
}

add_action('admin_print_scripts', 'my_admin_uploader_scripts');
add_action('admin_print_styles', 'my_admin_uploader_styles');
